Subject: bug#62752: html-ts-mode: treesit--simple-indent-eval: Wrong number of arguments: #<subr point-min>, 3

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Apr 2023 08:53:58 +0300

> Resent-To: [email-masked]
> Date: Tue, 11 Apr 2023 00:24:54 +0300
> From: Dmitry Gutov <[email-masked]>
> 
> > I found a bug in html-ts-mode.
> > If you try to indent this simple html snippet (after enabling html-ts mode)
> > and try to indent, say, the first or second line, emacs reports the following
> > error:
> > Matched rule: ((parent-is "fragment") point-min 0)
> > treesit--simple-indent-eval: Wrong number of arguments: #<subr point-min>, 3
> > 
> > Using parent-bol instead of point-min solves the problem.
> > 
> > GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.37, cairo
> > version 1.17.6) of 2023-04-09
> 
> I think the indention here was to use 'column-0', though. The mode was 
> just missed in the update in commit 4c16fd3a51286e1b1.
> 
> The practical difference is minimal, but still.
> 
> I've pushed this change to master; closing. Let us know if something's 
> still amiss, though.

Thanks.

Any reasons not to backport to emacs-29?  This mode is new in Emacs
29, so no compatibility issues should exist.